import { reactive } from 'vue'

export interface IPage {
  pageIndex: number
  pageSize: number
  total: number
  sizes: number[]
}

export default () => {
  const page: IPage = reactive({
    pageIndex: 1,
    pageSize: 10,
    total: 0,
    sizes: [10, 20, 50, 100, 200]
  })

  return {
    page
  }
}
